CLARTV(3f)

NAME
CLARTV - a vector of complex plane rotations with real cosines to elements of the complex vectors x and y

SYNOPSIS

SUBROUTINE CLARTV(
    N, X, INCX, Y, INCY, C, S, INCC )

INTEGER
    INCC, INCX, INCY, N

REAL
    C( * )

COMPLEX
    S( * ), X( * ), Y( * )

PURPOSE
CLARTV applies a vector of complex plane rotations with real cosines to elements of the complex vectors x and y. For i = 1,2,...,n
   ( x(i) ) := ( c(i) s(i) ) ( x(i) )
   ( y(i) ) ( -conjg(s(i)) c(i) ) ( y(i) )

ARGUMENTS

N       (input) INTEGER
    The number of plane rotations to be applied.

X       (input/output) COMPLEX array, dimension (1+(N-1)*INCX)
    The vector x.

INCX    (input) INTEGER
    The increment between elements of X. INCX > 0.

Y       (input/output) COMPLEX array, dimension (1+(N-1)*INCY)
    The vector y.

INCY    (input) INTEGER
    The increment between elements of Y. INCY > 0.

C       (input) REAL array, dimension (1+(N-1)*INCC)
    The cosines of the plane rotations.

S       (input) COMPLEX array, dimension (1+(N-1)*INCC)
    The sines of the plane rotations.

INCC    (input) INTEGER
    The increment between elements of C and S. INCC > 0.